Public Partial Class GetFile
    Inherits System.Web.UI.Page

    '从文件中读取PDF并输出的示例
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        '若果需要防止别人下载，可使用加密的随机数或时间戳进行判定
        '这里不做处理直接输出文件，当然把文件放到其它非网站目录会更安全
        If Request.Form("uudoc_getfile") = "1" Then '如果是提交请求文件

            '可以使用http头的方式进行服务器设置
            '设置之后下列属性将不能再在客户端进行修改:License,HashKey,EnableCopy,EnablePrint,EnableCapture,ToolbarVisible,RemoveWaterMark
            'Response.AppendHeader("UdPdf-Config", "EnableCopy=false&EnablePrint=false")

            '也可以使用加密方式进行配置:EnableCopy=false
            'Response.AppendHeader("UdPdf-EncryptConfig", "74321C08CA9D4B127A06C1B07A78A8B1344B4A88E7F2517D90A04FFEB46F7A9FF99E3DD7B52282441B6A3FCC6E9BA168")

            If Request.Form("uudoc_encrypted") = "1" Then '是否使用加密读取方式
                '读取加密过的PDF文件
                Response.WriteFile(Server.MapPath("upload/" & Request.Form("uudoc_fileid") & ".enpdf"))
            Else
                '读取原始PDF文件
                Response.WriteFile(Server.MapPath("upload/" & Request.Form("uudoc_fileid") & ".pdf"))
            End If
        End If

    End Sub

End Class